﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true"  ValidateRequest="false"
    CodeFile="FormsSignIn.aspx.cs" Inherits="FormsSignIn" Title="<%$ Resources:CommonResources, FormsSignInPageTitle%>"
    EnableViewState="false" runat="server"%>
<%@ OutputCache Location="None" %>

<asp:Content ID="FormsSignInContent" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<!-- PINsafe customisation start -->
<!-- NOTE: it is not necessary to replace the entire sign-in page with this one.
     The only absolute requirement is the addition of a password field for one-time code.
	 The JavaScript and corresponding image for TURing are only necessary if single channel is to be used. -->
<!-- Insert the following script to enable display of a TURing image -->
<script language="JavaScript">
function showTuring() {
    // Change the following line depending on the name of the username field.
    var usernameField = document.getElementById("ctl00_ContentPlaceHolder1_UsernameTextBox");
    var imgTuring = document.getElementById("imgTuring");
    if (usernameField && usernameField.value && imgTuring) {
        imgTuring.style.display = "";
        imgTuring.src = "pinsafe_image.aspx?username=" + usernameField.value + "&random=" + Math.round(Math.random() * 10000);
    } else {
        alert("No username field, or no TURing image");
    }
}
</script>
<!-- PINsafe customisation end -->
    <div class="GroupXLargeMargin"><asp:Label Text="<%$ Resources:CommonResources, FormsSignInHeader%>" runat="server" /></div>
    <table class="UsernamePasswordTable">
        <tr>
            <td>
                <span class="Label"><asp:Label Text="<%$ Resources:CommonResources, UsernameLabel%>" runat="server" /></span>
            </td>
            <td>
                <asp:TextBox runat="server" ID="UsernameTextBox" ></asp:TextBox>            
            </td>
            <td class="TextColorSecondary TextSizeSmall">
                <asp:Label Text="<%$ Resources:CommonResources, UsernameExample%>" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <span class="Label"><asp:Label Text="<%$ Resources:CommonResources, PasswordLabel%>" runat="server" /></span>
            </td>
            <td>
                <asp:TextBox runat="server" ID="PasswordTextBox" TextMode="Password" ></asp:TextBox>            
            </td>
            <td>&nbsp;</td>
        </tr>
		<!-- PINsafe customisation start -->
		<!-- Insert the following table row to add a one-time code field -->
        <tr>
            <td>
                <span class="Label">OTC</span>
            </td>
            <td>
                <input type="password" ID="otc" name="otc" />
            </td>
            <td>&nbsp;</td>
        </tr>
		<!-- PINsafe customisation end -->
        <tr>
            <td></td>
            <td colspan="2" class="TextSizeSmall TextColorError">
                <asp:Label ID="ErrorTextLabel" runat="server" Text="" Visible="False"></asp:Label>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <div class="RightAlign GroupXLargeMargin">
                    <asp:Button ID="SubmitButton" runat="server" Text="<%$ Resources:CommonResources, FormsSignInButtonText%>" OnClick="SubmitButton_Click" CssClass="Resizable"/>
                </div>
            </td>
            <td>&nbsp;</td>
        </tr>
    </table>
	<!-- PINsafe customisation start -->
	<!-- Insert the following table to display the TURing image -->
    <table width="300" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="300" align="center">
          <input type="button" value="Show TURing" onclick="showTuring();" class="Resizable" /><br/>
          <img id="imgTuring" style="display:none" />
        </td>
      </tr>
    </table>
	<!-- PINsafe customisation end -->
</asp:Content>
